export declare enum QUOTE_STATUS_ENUM {
    NEW = "NEW",
    PENDING = "PENDING",
    ESTIMATED = "ESTIMATED",
    CLOSED = "CLOSED",
    CANCELED = "CANCELED",
}
export declare enum ORDER_STATUS_ENUM {
    NEW = "NEW",
    PENDING = "PENDING",
    PROCESSING = "PROCESSING",
    CANCELED = "CANCELED",
    OUT_FOR_DELIVERY = "OUT_FOR_DELIVERY",
    DELIVERED = "DELIVERED",
    CLOSED = "CLOSED",
}
export declare enum USER_ROLES_ENUM {
    PATIENT = "PATIENT",
    PHARMACY = "PHARMACY",
    DOCTOR = "DOCTOR",
    ADMIN = "ADMIN",
}
export declare enum LOGIN_SESSION_STATUS {
    ACTIVE = "ACTIVE",
    INACTIVE = "INACTIVE",
}
export declare enum STATUS_ENUM {
    ACTIVE = "ACTIVE",
    INACTIVE = "INACTIVE",
}
export declare enum CATEGORY_ENUM {
    MEDICINE = "MEDICINE",
    HYGIENE = "HYGIENE",
    COSMETIC = "COSMETIC",
    FOOD_DRINK = "FOOD_DRINK",
    NATURAL = "NATURAL",
}
export declare class PUSH_NOTIFICATIONS_TOPICS {
    type: string;
    private arn;
    static PATIENT_NEW_QUOTE_ESTIMATED: PUSH_NOTIFICATIONS_TOPICS;
    static PATIENT_NOT_AVAILABLE_STORES: PUSH_NOTIFICATIONS_TOPICS;
    static PATIENT_AVAILABLE_STORES: PUSH_NOTIFICATIONS_TOPICS;
    static NEW_PRESCRIPTION: PUSH_NOTIFICATIONS_TOPICS;
    constructor(type: string);
    toString(): string;
}
export declare class EMAILS_TOPICS {
    type: string;
    arn: string;
    static RECOVERY_PASSWORD: EMAILS_TOPICS;
    static SEND_PRESCRIPTION: EMAILS_TOPICS;
    constructor(type: string);
    toString(): string;
}
