import * as dynogels from 'drandx-dynogels';
import { BaseModel } from './BaseModel';
import { ORDER_STATUS_ENUM } from './Enums';
import { Product } from './Product';
import { User } from './User';
import { Pharmacy } from './Pharmacy';
export declare class Order extends BaseModel {
    id: string;
    customerId: string;
    pharmacyId: string;
    products: Product[];
    quoteId: string;
    status: ORDER_STATUS_ENUM;
    customer: User;
    pharmacy: Pharmacy;
    constructor();
    model: dynogels.Model;
}
