import * as dynogels from 'drandx-dynogels';
import { BaseModel } from './BaseModel';
import { QUOTE_STATUS_ENUM } from './Enums';
import { Product } from './Product';
export declare class Quote extends BaseModel {
    quoteId: string;
    customerId: string;
    products: Product[];
    status: QUOTE_STATUS_ENUM;
    customerPosition: {
        latitude: number;
        longitude: number;
    };
    constructor();
    model: dynogels.Model;
}
