import * as dynogels from 'drandx-dynogels';
export declare class BaseService {
    /**
     * return array of query result
     * @param {dynogels.Query | dynogels.Scan} query - queryset
     * @param {int} limit - total items returns
     */
    result(query: dynogels.Query, limit?: number): Promise<{}>;
    /**
     * return the first element of queryset result
     * @param {dynogels.Query | dynogels.Scan} query - queryset
     */
    first(query: dynogels.Query | dynogels.Scan): Promise<Object>;
    /**
     * return the last element of queryset result
     * @param {dynogels.Query | dynogels.Scan} query - queryset
     */
    last(query: dynogels.Query | dynogels.Scan): Promise<Object>;
}
