import * as AWS from 'aws-sdk';
export declare class CollectionNames {
    value: string;
    static orders: CollectionNames;
    static quotes: CollectionNames;
    static users: CollectionNames;
    static quotePharmacy: CollectionNames;
    static pharmacySession: CollectionNames;
    static pharmacies: CollectionNames;
    static prescriptions: CollectionNames;
    constructor(value: string);
    toString(): string;
}
export declare type DBOptions<T> = {
    connection: T;
    table: CollectionNames;
};
export declare class DbOptionsFactory {
    constructor();
    createDBOptions(collection: CollectionNames): DBOptions<AWS.DynamoDB.DocumentClient>;
}
export declare class DynamoMarshaller {
    unMarshalItem(item: Object): Object;
}
