import * as dynogels from 'drandx-dynogels';
import { BaseModel } from './BaseModel';
import { LOGIN_SESSION_STATUS } from './Enums';
export declare class PharmacySession extends BaseModel {
    sessionId: string;
    pharmacyId: string;
    startedAt: number;
    endedAt: number;
    state: LOGIN_SESSION_STATUS;
    pharmacyName: string;
    pharmacyAddress: string;
    pharmacyPosition: {
        latitude: number;
        longitude: number;
    };
    constructor();
    model: dynogels.Model;
}
