import * as dynogels from 'drandx-dynogels';
import { BaseModel } from './BaseModel';
import { QUOTE_STATUS_ENUM } from './Enums';
import { Product } from './Product';
import { User } from './User';
import { Pharmacy } from './Pharmacy';
export declare class QuotePharmacy extends BaseModel {
    quoteId: string;
    pharmacyId: string;
    products: Product[];
    status: QUOTE_STATUS_ENUM;
    total: number;
    pharmacyPosition: {
        latitude: number;
        longitude: number;
    };
    customer: User;
    pharmacy: Pharmacy;
    constructor();
    model: dynogels.Model;
}
